# Response Webhooks

Response webhooks provide a way for responses to be delivered to an external web server. Webhook triggered immediately when a response saved. Note that Survey UI 3.0 in touchpoint settings must be enabled to use this feature.

#### Configuration

You can specify a URL in touchpoint settings by adding a custom settings with key "webhookURL". And if you want to attach an Authorization header to the request, you can add another custom settings with key "webhookAuthHeader" by the value being Authorization header itself.

#### Data

Webhook request body includes following fields;

<table data-full-width="true"><thead><tr><th>Field</th><th>Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>createdAt</td><td>string</td><td>"2023-10-19T13:33:02.980Z"</td><td>Response Date in ISO 8601 format</td></tr><tr><td>feedbackId</td><td>string</td><td>"65312e12949a0d0508b71dae"</td><td>Id of the full response chain the response belongs to</td></tr><tr><td>language</td><td>string</td><td>"en"</td><td>Language code in two letter ISO 639-1 format</td></tr><tr><td>surveyId</td><td>string</td><td>"612615c51e9b5b00726f4cb4"</td><td>Survey's id</td></tr><tr><td>surveyName</td><td>string</td><td>"My Survey"</td><td>Survey's name</td></tr><tr><td>touchpointId</td><td>string</td><td>"643186eaabea9200298eeb43"</td><td>Touchpoint's id</td></tr><tr><td>touchpointName</td><td>string</td><td>"My Touchpoint"</td><td>Touchpoint name</td></tr><tr><td>questionId</td><td>string</td><td>"612615c51e9b5b00726f4cb1"</td><td>Question's id</td></tr><tr><td>questionType</td><td>"Button" | "NPS" | "Word" | "Slider" | "Contact" | "Text" | "Image"</td><td>"NPS"</td><td><a href="/pages/-M1dt5MzTuK1vLKUHatj#question-types">Question type</a></td></tr><tr><td>questionTitle</td><td>string</td><td>"How likely are you to recommend us to your friends and colleagues?"</td><td>The title of the question in the response's language</td></tr><tr><td>tags</td><td>string[]</td><td>["CSAT"]</td><td>Question tags that set in the survey editor</td></tr><tr><td>answer</td><td>string | string[] | number</td><td>5, "Apple", ["Apple", "Orange"]</td><td>Mixed-type field related to question type</td></tr><tr><td>browser</td><td>string</td><td>"Chrome 118.0.0.0"</td><td>Respondent's Browser</td></tr><tr><td>device</td><td>string</td><td>"Macintosh"</td><td>Respondent's Device</td></tr><tr><td>os</td><td>string</td><td>"Mac OS 10.15.7"</td><td>Respondent's OS</td></tr><tr><td>metadata</td><td>object</td><td>{ "key": "value" }</td><td>metadata attached to response</td></tr><tr><td>cluster</td><td>string?</td><td>"detractor"</td><td>NPS or EVI cluster of the response</td></tr><tr><td>fieldId</td><td>string?</td><td>"507f1f77bcf86cd799439013"</td><td>Field id (used in Contact and Slider question types)</td></tr><tr><td>fieldName</td><td>string?</td><td>"Email"</td><td>Field name (used in Contact and Slider) in the response's language </td></tr><tr><td>contactId</td><td>string?</td><td>"507f1f77bcf86cd799439013"</td><td>Contact Id if the survey responded from a email/sms campaign</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/integrations/response-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
